"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateConstants = void 0;
const utils_1 = require("./utils");
function generateConstants(types) {
    try {
        return types
            .sort(({ name }, { name: _name }) => utils_1.isAscending(name, _name))
            .reduce((prev, { name, value }) => {
            prev += `export const ${name} = ${value};`;
            return prev;
        }, "");
    }
    catch (error) {
        console.error({ error });
        return "";
    }
}
exports.generateConstants = generateConstants;
//# sourceMappingURL=generateConstants.js.map