"use strict";
/** Is A fork from https://github.com/yayoc/swagger-to-mock */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateMock = void 0;
const chalk_1 = __importDefault(require("chalk"));
const response_1 = require("./response");
const util_1 = require("./util");
const schema_1 = require("./schema");
const compose_1 = require("./compose");
const fs_1 = require("fs");
function generateMock(content, config) {
    const { dir } = config;
    try {
        const output = `${dir}/mocks`;
        const responses = response_1.extractResponses(content, config);
        const schemas = schema_1.extractSchemas(content);
        const composed = compose_1.composeMockData(responses, schemas);
        if (!fs_1.existsSync(output)) {
            fs_1.mkdirSync(output);
        }
        util_1.writeFiles(composed, output);
        console.log(chalk_1.default.yellowBright("Mocks Completed"));
    }
    catch (e) {
        console.log(chalk_1.default.redBright(e));
        console.log(chalk_1.default.redBright("Mocks Failed"));
    }
}
exports.generateMock = generateMock;
//# sourceMappingURL=index.js.map