"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractResponses = exports.APPLICATION_JSON = void 0;
const utils_1 = require("../utils");
exports.APPLICATION_JSON = "application/json";
const extractResponses = (input, config) => {
    const ret = {};
    Object.entries(input.paths).forEach(([path, value]) => {
        Object.entries(value).forEach(([method, options]) => {
            const { operationId, responses } = options;
            const response = {};
            Object.keys(responses).forEach((statusCode) => {
                const { content } = responses[statusCode];
                response[statusCode] = content;
            });
            const key = utils_1.generateServiceName(path, method, operationId, config);
            ret[key] = {
                method: method,
                path,
                response,
            };
        });
    });
    return ret;
};
exports.extractResponses = extractResponses;
//# sourceMappingURL=response.js.map