"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FILE_HOOKS_CONFIG = exports.DEPRECATED_WARM_MESSAGE = exports.CONFIG = exports.getHooksImports = exports.getHooksFunctions = exports.SERVICE_BEGINNING = exports.HTTP_REQUEST = exports.SERVICE_NEEDED_FUNCTIONS = exports.AUTOGENERATED_COMMENT = void 0;
const fs_1 = require("fs");
const path_1 = __importDefault(require("path"));
const HTTP_REQUEST = fs_1.readFileSync(path_1.default.resolve(__dirname, "../files/httpRequest.tsf")).toString();
exports.HTTP_REQUEST = HTTP_REQUEST;
const CONFIG = fs_1.readFileSync(path_1.default.resolve(__dirname, "../files/config.tsf")).toString();
exports.CONFIG = CONFIG;
const FILE_HOOKS_CONFIG = fs_1.readFileSync(path_1.default.resolve(__dirname, "../files/hooksConfig.tsf")).toString();
exports.FILE_HOOKS_CONFIG = FILE_HOOKS_CONFIG;
const AUTOGENERATED_COMMENT = `
/**
* AUTO_GENERATED Do not change this file directly, use config.ts file instead
*
* @version 5
*/
`;
exports.AUTOGENERATED_COMMENT = AUTOGENERATED_COMMENT;
const SERVICE_BEGINNING = `${AUTOGENERATED_COMMENT}
import { AxiosRequestConfig } from "axios";
import { SwaggerResponse } from "./config";
import { Http } from "./httpRequest";
`;
exports.SERVICE_BEGINNING = SERVICE_BEGINNING;
const SERVICE_NEEDED_FUNCTIONS = `
// eslint-disable-next-line @typescript-eslint/no-unused-vars
const __DEV__ = process.env.NODE_ENV !== "production";

// eslint-disable-next-line @typescript-eslint/no-unused-vars
function overrideConfig(
  config?: AxiosRequestConfig,
  configOverride?: AxiosRequestConfig,
): AxiosRequestConfig {
  return {
    ...config,
    ...configOverride,
    headers: {
      ...config?.headers,
      ...configOverride?.headers,
    },
  };
}

// eslint-disable-next-line @typescript-eslint/no-unused-vars
export function template(path: string, obj: { [x: string]: any } = {}) {
    Object.keys(obj).forEach((key) => {
      const re = new RegExp(\`{\${key}}\`, "i");
      path = path.replace(re, obj[key]);
    });

    return path;
}

// eslint-disable-next-line @typescript-eslint/no-unused-vars
function objToForm(requestBody: object) {
  const formData = new FormData();

  Object.entries(requestBody).forEach(([key, value]) => {
    value && formData.append(key, value);
  });

  return formData;
}
`;
exports.SERVICE_NEEDED_FUNCTIONS = SERVICE_NEEDED_FUNCTIONS;
const getHooksImports = ({ hasInfinity, }) => `${AUTOGENERATED_COMMENT}
${hasInfinity ? `import { useMemo } from "react";` : ""}
import { AxiosRequestConfig } from "axios";
import {
  UseQueryOptions,
  useQuery,
  useMutation,
  UseMutationOptions,
  ${hasInfinity
    ? `  useInfiniteQuery,
  UseInfiniteQueryOptions,`
    : ""}
  QueryClient,
  QueryKey,
} from "react-query";
import { RequestError, SwaggerResponse } from "./config";
${hasInfinity
    ? `import { paginationFlattenData, getPageSize, getTotal } from "./hooksConfig";`
    : ""}
`;
exports.getHooksImports = getHooksImports;
const getHooksFunctions = ({ hasInfinity }) => hasInfinity
    ? `
const useHasMore = (
  pages: Array<SwaggerResponse<any>> | undefined,
  list: any,
  queryParams: any,
) =>
  useMemo(() => {
    if (!pages || (pages && pages.length < 1)) {
      return false;
    }

    const total = getTotal(pages);

    if (total !== undefined) {
      if (list && list.length < total) {
        return true;
      }
      return false;
    }
    if (
      paginationFlattenData([pages[pages.length - 1]])?.length === getPageSize(queryParams as any)
    ) {
      return true;
    }

    return false;
  }, [pages, list, queryParams]);

`
    : "";
exports.getHooksFunctions = getHooksFunctions;
const DEPRECATED_WARM_MESSAGE = "This endpoint deprecated and will be remove. Please use an alternative";
exports.DEPRECATED_WARM_MESSAGE = DEPRECATED_WARM_MESSAGE;
//# sourceMappingURL=strings.js.map